Summary:	GTK+ performance tester
Name:		gtkperf
Version:	0.40
Release:	10%{?dist}
License:	GPLv2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/%{name}/%{name}_%{version}.tar.gz
URL:		http://gtkperf.sourceforge.net/
BuildRequires:	gtk2-devel
BuildRequires:  desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1: gtkperf.desktop

%description
GtkPerf is an application designed to test GTK+ performance. The point
is to create common testing platform to run predefined GTK+ widgets
and this way define the speed of device/platform.

%prep
%setup -q -n %{name}

%build
%configure

## Do not run autoheader
touch ./stamp-h*

## A bug in configure.in makes CFLAGS to be overwritten with an empty string
## so set CFLAGS in make
make %{?_smp_mflags} CFLAGS="%{optflags}"

## Changelog must be converted to utf8
rm -f ./ChangeLog.utf8
iconv -f ISO-8859-1 -t utf8 ./ChangeLog -o ChangeLog.utf8
mv -f ChangeLog.utf8 ./ChangeLog

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_prefix}/doc
desktop-file-install --vendor="fedora"	\
	--dir=%{buildroot}%{_datadir}/applications\
	%{SOURCE1}
    
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README COPYING
%{_bindir}/*
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.40-7
- Autorebuild for GCC 4.3


* Sat Aug 11 2007 Per Patrice Bouchand <patrice.bouchand.fedora@gmail.com> 0.40-6
- Remove attr(755,root,root) on _bindir

* Fri Aug 10 2007 Per Patrice Bouchand <patrice.bouchand.fedora@gmail.com> 0.40-5
- Convert ChangeLog to UTF8
- Update License tag to GPLv2
- Suppress the call of automated autoheader
- Set CFLAGS in make

* Tue Aug 7 2007 Per Patrice Bouchand <patrice.bouchand.fedora@gmail.com> 0.40-4
- More spec clean-up

* Thu Jul 25 2007 Per Patrice Bouchand <patrice.bouchand.fedora@gmail.com> 0.40-3
- Add COPYING and desktop file

* Thu Jul 19 2007 Per Patrice Bouchand <patrice.bouchand.fedora@gmail.com> 0.40-2
- Spec clean-up

* Wed Jul 18 2007 Per Patrice Bouchand <patrice.bouchand.fedora@gmail.com> 0.40-1
- Initial Fedora release (inspired by PLD)
